## ros-kinetic-behaviortree-cpp 2.5.1

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)


# This tutorial demonstrates how to compile statically a tree (no factory)
add_executable(t01_programmatic_tree         t01_programmatic_tree.cpp )
target_link_libraries(t01_programmatic_tree  dummy_nodes ${BEHAVIOR_TREE_LIBRARY}  )

# The plugin libdummy_nodes.so can be linked statically or
# loaded dynamically at run-time.
add_executable(t02_factory_static  t02_factory_tree.cpp )
target_compile_definitions(t02_factory_static PRIVATE "MANUAL_STATIC_LINKING")
target_link_libraries(t02_factory_static ${BEHAVIOR_TREE_LIBRARY}   dummy_nodes )

add_executable(t02_factory_dynamic  t02_factory_tree.cpp )
target_link_libraries(t02_factory_dynamic ${BEHAVIOR_TREE_LIBRARY}  )


# This tutorial shows how the difference between Sequence and SequenceStar
add_executable(t03_sequence_star        t03_sequence_star.cpp )
target_link_libraries(t03_sequence_star movebase_node dummy_nodes ${BEHAVIOR_TREE_LIBRARY}  )

# This tutorial demonstrates how to use blackboards and NodeParameters
add_executable(t04_blackboard         t04_blackboard.cpp )
target_link_libraries(t04_blackboard  movebase_node ${BEHAVIOR_TREE_LIBRARY}  )

add_executable(t05_crossdoor         t05_crossdoor.cpp )
target_link_libraries(t05_crossdoor  crossdoor_nodes ${BEHAVIOR_TREE_LIBRARY}  )

add_executable(t06_wrap_legacy         t06_wrap_legacy.cpp )
target_link_libraries(t06_wrap_legacy  crossdoor_nodes ${BEHAVIOR_TREE_LIBRARY}  )

add_executable(t07_include_trees  t07_include_trees.cpp )
target_link_libraries(t07_include_trees ${BEHAVIOR_TREE_LIBRARY}   dummy_nodes )

add_executable(t08_async_actions_coroutines  t08_async_actions_coroutines.cpp )
target_link_libraries(t08_async_actions_coroutines ${BEHAVIOR_TREE_LIBRARY} )

=== sample_nodes/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include_directories( ../include )

add_library(crossdoor_nodes SHARED crossdoor_nodes.cpp )
target_link_libraries(crossdoor_nodes PRIVATE ${BEHAVIOR_TREE_LIBRARY})
target_include_directories(crossdoor_nodes PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

add_library(dummy_nodes     SHARED dummy_nodes.cpp )
target_link_libraries(dummy_nodes PRIVATE ${BEHAVIOR_TREE_LIBRARY})
target_include_directories(dummy_nodes PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

add_library(movebase_node   SHARED movebase_node.cpp )
target_link_libraries(movebase_node PRIVATE ${BEHAVIOR_TREE_LIBRARY})
target_include_directories(movebase_node PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
ros-kinetic-behaviortree-cpp (2.5.1-0xenial) xenial; urgency=high

  * fix installation directory
  * #39 Fix Conan version (#42)
    Signed-off-by: Uilian Ries <mailto:uilianries@gmail.com>
  * Update .travis.yml
  * Conan package distribution (#39)
  * Non-functional refactoring of xml_parsing to clean up the code
  * cosmetic changes in the code of BehaviorTreeFactory
  * XML schema. Related to enchancement #40
  * call setRegistrationName() for built-in Nodes
    The methos is called by BehaviorTreefactory, therefore it
    registrationName is empty if trees are created programmatically.
  * Reset reference count when destroying logger (issue #38)
  * Contributors: Davide Facont, Davide Faconti, Uilian Ries

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Sun, 13 Jan 2019 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.5.0-0xenial) xenial; urgency=high

  * Introducing SyncActionNode that is more self explaining and less ambiguous
  * fix potential problem related to ControlNode::haltChildren()
  * Adding example/test of navigation and recovery behavior. Related to issue #36
  * Contributors: Davide Faconti

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.4.4-0xenial) xenial; urgency=high

  * adding virtual TreeNode::onInit() [issue #33]
  * fix issue #34 : if you don't implement convertFromString, it will compile but it may throw
  * Pretty demangled names and obsolate comments removed
  * bug fixes
  * more comments
  * [enhancement #32]: add CoroActionNode and rename ActionNode as "AsynActionNode"
    The name ActionNode was confusing and it has been deprecated.
  * Update README.md
  * removed old file
  * Fix issue #31 : convertFromString mandatory for TreeNode::getParam, not Blackboard::get
  * Cherry piking changes from PR #19 which solve issue #2 CONAN support
  * Contributors: Davide Faconti

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.4.3-0xenial) xenial; urgency=high

  * Merge branch 'master' into ros2
  * removed old file
  * Fix issue #31 : convertFromString mandatory for TreeNode::getParam, not Blackboard::get
  * 2.4.3
  * version bump
  * Merge pull request #30 from nuclearsandwich/patch-1
    Fix typo in package name.
  * Remove extra find_package(ament_cmake_gtest).
    This package should only be needed if BUILD_TESTING is on and is
    find_package'd below if ament_cmake is found and BUILD_TESTING is on.
  * Fix typo in package name.
  * added video to readme
  * Cherry piking changes from PR #19 which solve issue #2 CONAN support
  * Merge pull request #29 from nuclearsandwich/ament-gtest-dep
    Add test dependency on ament_cmake_gtest.
  * Add test dependency on ament_cmake_gtest.
  * fix travis removing CI
  * Contributors: Davide Faconti, Steven! Ragnarök

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.4.2-0xenial) xenial; urgency=high

  * support ament
  * change to ament
  * Contributors: Davide Faconti

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Tue, 04 Dec 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.4.1-0xenial) xenial; urgency=high

  * fix warnings and dependencies in ROS, mainly related to ZMQ
  * Contributors: Davide Faconti

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Tue, 04 Dec 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.4.0-0xenial) xenial; urgency=high

  * Merge pull request #27 from mjeronimo/bt-12-4-2018
    Add support for ament/colcon build
  * updated documentation
  * Merge pull request #25 from BehaviorTree/include_xml
    Add the ability to include an XML from another one
  * <include> supports ROS package getPath (issue #17)
  * Trying to fix writeXML (issue #24)
  * New feature: include XMl from other XMLs (issue #17)
  * more verbose error message
  * adding unit tests for Repeat and Retry nodes #23
  * Bug fix in Retry and Repeat Decorators (needs unit test)
  * Throw if the parameter in blackboard can't be read
  * Try to prevent error #22 in user code
  * changed the protocol of the XML
  * fixing issue #22
  * Contributors: Davide Faconti, Michael Jeronimo

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Tue, 04 Dec 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.3.0-0xenial) xenial; urgency=high

  * Fix: registerBuilder did not register the manifest. It was "broken" as public API method
  * Use the Pimpl idiom to hide zmq from the header file
  * move header of minitrace in the cpp file
  * Fixed a crash occuring when you didn't initialized a Tree object (#20)
  * Fix issue #16
  * add ParallelNode to pre-registered entries in factory (issue #13)
  * removed M_PI
  * Update the documentation
  * Contributors: Davide Faconti, Jimmy Delas

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Tue, 27 Nov 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.2.0-0xenial) xenial; urgency=high

  * fix typo
  * method contains() added to BlackBoard
  * back compatible API change to improve the wrapping of legacy code (issue #15)
    Eventually, SimpleAction, SimpleDecorators and SimpleCondition can use
    blackboard and NodeParameters too.
  * reduce potential memory allocations using string_view
  * fix important issue with SubtreeNode
  * Read at every tick the parameter if Blackboard is used
  * Adding NodeParameters to ParallelNode
  * travis update
  * merge pull request #14 related to #10 (with some minor changes)
  * Fix issue #8 and warning reported in #4
    Fixed problem of visibility with TinyXML2
  * Contributors: Davide Faconti, Uilian Ries

 -- Michele Colledanchise <michele.colledanchise@gmail.com>  Mon, 19 Nov 2018 23:00:00 -0000

ros-kinetic-behaviortree-cpp (2.1.0-0xenial) xenial; urgency=high

  * version 2.1. New directory structure
  * Contributors: Davide Faconti



=== debian/control ===
Source: ros-kinetic-behaviortree-cpp
Section: misc
Priority: extra
Maintainer: Michele Colledanchise <michele.colledanchise@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-kinetic-catkin, ros-kinetic-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-behaviortree-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-kinetic-roslib
Description: This package provides a behavior trees core.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-behaviortree-cpp//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
